/*
 *  GameFoundation.h
 *  Charge
 *
 *  Created by 白木 滉平 on 平成22/07/25.
 *  Copyright 2010 kshiraki2. All rights reserved.
 *
 */

#define randomize()	(NSInteger)arc4random()

#define GTRE			GL_TEXTURE_RECTANGLE_EXT

#define GFCmpDispWithPlr(p)		p[Px]>=camPos[Px]+1024 || p[Px]<=camPos[Px]-1024 || p[Py]>=camPos[Py]+768 || p[Py]<=camPos[Py]-768

enum { Px, Py, Pz, Pw };
enum { Red, Green, Blue, Alpha };
enum { Right, Left };

void GFDrawStringUseBitmap(NSString *str, void *font, GLfloat x, GLfloat y, GLubyte r, GLubyte g, GLubyte b, GLubyte a);
void GFDrawStringUseStroke(NSString *str, void *font, GLfloat x, GLfloat y, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat scl);

GLuint GFCreateTexture(NSString *imageNamed, NSString *type);
GLuint GFCreateTextureExt(NSString *imageNamed, NSString *type);
GLuint GFCreateTextureExtL(NSString *imageNamed, NSString *type);

GLfloat GFGetTargetAngleRad(GLfloat p1[2], GLfloat p2[2]);
GLfloat GFGetTargetAngleDeg(GLfloat p1[2], GLfloat p2[2]);

GLfloat GFGetTargetDistance(GLfloat p1[2], GLfloat p2[2]);

BOOL GFComparePointWithRectAndPoint(CGRect rect, CGPoint point);
BOOL GFComparePointWithRectAndRect(CGRect rectA, CGRect rectB);

extern const GLfloat GWarpPosX[3];